Retrieves all the equipment_model objects
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_model| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| name |
Name of the equipment model |
string |
Required Max length: 50 |
| description |
Description of the equipment model |
string | |
| equipment_brand_id |
FK Of Equipment brand |
globally unique identifier | |
| equipment_brand_code |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
string | |
| equipment_brand |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
equipment_brand | |
| equipment_family_id |
FK Of equipment_family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
equipment_family | |
| date_in_production_since |
Date in production since |
date | |
| date_out_of_production_since |
Date Out Of production since |
date | |
| date_end_support |
Date end support |
date | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating equipment_model |
sales_organization | |
| replacement_period_nb_months |
replacement_period_nb_months |
integer | |
| warranty_period_nb_months |
warranty_period_nb_months |
integer | |
| translations |
List of translation of specific field name |
Collection of translation | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "06257039-344c-4ada-9744-76080e9cf530",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "4aafbffc-0cae-41be-afb4-b545ca794014",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "26d484cb-5ba4-4433-aab4-8fa43676d656",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "31e36ecc-fe8a-4a7d-8249-4e6e7b1d739f",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "2a97df95-57e0-44e3-a226-875f0e092a3c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1091afe5-a4c7-43da-964b-8202f09c8d48",
"db_currency_id": "66a83cb9-370b-4a0c-9883-1f2a34908280",
"db_language_id": "22d5273a-3e1f-4664-9bcc-b0e934045c1f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T12:00:12.6054361+00:00"
},
"modified_dateutc": "2026-11-12T12:00:12.6054361+00:00"
},
"equipment_family_id": "bf66b589-8fc9-4922-89ad-df1207b7e8d0",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "b7aaeb2b-7b95-4c9f-8fa7-5fb5073dec67",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "57b2bf63-b43b-4333-a496-c5637a10338e",
"_parent_code": "sample string 6",
"sales_organization_id": "c750b0f3-6f84-4b42-b251-8a999de10de2",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "2a97df95-57e0-44e3-a226-875f0e092a3c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1091afe5-a4c7-43da-964b-8202f09c8d48",
"db_currency_id": "66a83cb9-370b-4a0c-9883-1f2a34908280",
"db_language_id": "22d5273a-3e1f-4664-9bcc-b0e934045c1f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T12:00:12.6054361+00:00"
},
"modified_dateutc": "2026-11-12T12:00:12.6054361+00:00"
},
"date_in_production_since": "2026-11-12T12:00:12.6054361+00:00",
"date_out_of_production_since": "2026-11-12T12:00:12.6054361+00:00",
"date_end_support": "2026-11-12T12:00:12.6054361+00:00",
"sales_organization_id": "5dc213ce-23f1-4876-8ae8-3384ea2e4e60",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "2a97df95-57e0-44e3-a226-875f0e092a3c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1091afe5-a4c7-43da-964b-8202f09c8d48",
"db_currency_id": "66a83cb9-370b-4a0c-9883-1f2a34908280",
"db_language_id": "22d5273a-3e1f-4664-9bcc-b0e934045c1f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T12:00:12.6054361+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-12T12:00:13.9038797+00:00"
}